
Redmine - Defect #5998

New line not taking effect on a certain piece of text

2010-07-30 02:01 - Ве Fio

Status: Confirmed Start date: 2010-07-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.2.1

Description

When I create a piece of text like so (without the pre tag):

---

|

It displays like this: --- |    

Something appears to be wrong with the newline when using these characters. Perhaps the text formatting also doesn't take the

newline into effect on other types of character combinations??

History

#1 - 2010-07-30 02:03 - Ве Fio

I'd also like to add that this happened when I added a comment to an issue, but might also be present when making a new issue, perhaps it also

exists in any other type of text entry everywhere else (new issue, wiki article, maybe even commit comments!, e.g. anywhere else you can enter text

in a multiline text entry), that I don't know yet however.

#2 - 2010-07-30 09:40 - Felix Schäfer

Entering:

---

|

 here yields:

|    

The problem seems to be when you enter text in front of the ---:

some text ---

|

 yields:

some text --- |

And yes, this will happen in every textilizable/wikified field, as they all use the same engine.

#3 - 2013-01-15 10:18 - Daniel Felix

- Status changed from New to Confirmed

- Affected version (unused) changed from 1.0.0-RC to 2.2.1

- Affected version set to 2.2.1

This error seems to be still included in the current trunk.
